<?php

     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
              if(RetRstField("SELECT fnid FROM tldocument_type WHERE ftdocument_type_code='{$_REQUEST['fttrans_no']}'")) {
                  ?>
                  
                  alert('Kode Tipe Document sudah dipakai... ');
            <?php
              }
              else {
                    ?>
                   
                    
                  submitbutton('Simpan','','','','');
                   
            <?php
              }
            break;
        }       
        die("");
    }
    
      $objAxpDB->ViewName("Daftar Tipe Document");
        $objAxpDB->ViewSQL("select fnid,  ftdocument_type_code, ftdocument_type_name from tldocument_type");
        $objAxpDB->ViewCaption("ID,  Kode Tipe Document, Nama Tipe Document");

        $objAxpDB->FormName("Tipe Document");
        $objAxpDB->FormSQL("SELECT   ftdocument_type_code, ftdocument_type_name  from tldocument_type");
        $objAxpDB->FormCaption(" Kode Tipe Document, Nama Tipe Document");
        $objAxpDB->FormPosition("TL, TL");
    

      
        $objAxpDB->SetStatus("id");
        if ($objAxpDB->GetStatus("id") == "")
                $objAxpDB->ButtonShow("baru, cetak_daftar, export_excel , tutup");
        elseif ($objAxpDB->GetStatus("id") == 0) {
                $objAxpDB->FormLocked("0, 0, 0");
                $objAxpDB->ButtonShow("reset, simpan, tutup");
        } elseif ($objAxpDB->GetStatus("id") != 0) {
                $objAxpDB->FormLocked("1, 0, 0");
                $objAxpDB->ButtonShow("update, hapus, tutup");
        }
        $objAxpDB->Process();
        $objAxpDB->WriteHtmlTable();
	   
       
?>
